Firefox 63 conflicting files

firefox 63 don´t work after update !!!

look here:

:: Installation fortsetzen? [J/n] j
(1/1) Prüfe Schlüssel im Schlüsselring                                                                                          [#############################################################################] 100%
(1/1) Überprüfe Paket-Integrität                                                                                                [#############################################################################] 100%
(1/1) Lade Paket-Dateien                                                                                                        [#############################################################################] 100%
(1/1) Prüfe auf Dateikonflikte                                                                                                  [#############################################################################] 100%
Fehler: Konnte den Vorgang nicht durchführen (In Konflikt stehende Dateien)
firefox: /usr/bin/firefox existiert im Dateisystem
firefox: /usr/lib/firefox/Throbber-small.gif existiert im Dateisystem
firefox: /usr/lib/firefox/application.ini existiert im Dateisystem
firefox: /usr/lib/firefox/browser/blocklist.xml existiert im Dateisystem
firefox: /usr/lib/firefox/browser/chrome.manifest existiert im Dateisystem
firefox: /usr/lib/firefox/browser/chrome/icons/default/default128.png existiert im Dateisystem
firefox: /usr/lib/firefox/browser/chrome/icons/default/default16.png existiert im Dateisystem
firefox: /usr/lib/firefox/browser/chrome/icons/default/default32.png existiert im Dateisystem
firefox: /usr/lib/firefox/browser/chrome/icons/default/default48.png existiert im Dateisystem
firefox: /usr/lib/firefox/browser/chrome/icons/default/default64.png existiert im Dateisystem
firefox: /usr/lib/firefox/browser/crashreporter-override.ini existiert im Dateisystem
firefox: /usr/lib/firefox/browser/defaults/preferences/vendor.js existiert im Dateisystem
firefox: /usr/lib/firefox/browser/features/aushelper@mozilla.org.xpi existiert im Dateisystem
firefox: /usr/lib/firefox/browser/features/firefox@getpocket.com.xpi existiert im Dateisystem
firefox: /usr/lib/firefox/browser/features/formautofill@mozilla.org.xpi existiert im Dateisystem
firefox: /usr/lib/firefox/browser/features/onboarding@mozilla.org.xpi existiert im Dateisystem
firefox: /usr/lib/firefox/browser/features/screenshots@mozilla.org.xpi existiert im Dateisystem
firefox: /usr/lib/firefox/browser/features/webcompat-reporter@mozilla.org.xpi existiert im Dateisystem
firefox: /usr/lib/firefox/browser/features/webcompat@mozilla.org.xpi existiert im Dateisystem
firefox: /usr/lib/firefox/browser/omni.ja existiert im Dateisystem
firefox: /usr/lib/firefox/chrome.manifest existiert im Dateisystem
firefox: /usr/lib/firefox/crashreporter existiert im Dateisystem
firefox: /usr/lib/firefox/crashreporter.ini existiert im Dateisystem
firefox: /usr/lib/firefox/defaults/pref/channel-prefs.js existiert im Dateisystem
firefox: /usr/lib/firefox/dependentlibs.list existiert im Dateisystem
firefox: /usr/lib/firefox/distribution/distribution.ini existiert im Dateisystem
firefox: /usr/lib/firefox/firefox existiert im Dateisystem
firefox: /usr/lib/firefox/firefox-bin existiert im Dateisystem
firefox: /usr/lib/firefox/fonts/TwemojiMozilla.ttf existiert im Dateisystem
firefox: /usr/lib/firefox/gmp-clearkey/0.1/libclearkey.so existiert im Dateisystem
firefox: /usr/lib/firefox/gmp-clearkey/0.1/manifest.json existiert im Dateisystem
firefox: /usr/lib/firefox/gtk2/libmozgtk.so existiert im Dateisystem
firefox: /usr/lib/firefox/liblgpllibs.so existiert im Dateisystem
firefox: /usr/lib/firefox/libmozavcodec.so existiert im Dateisystem
firefox: /usr/lib/firefox/libmozavutil.so existiert im Dateisystem
firefox: /usr/lib/firefox/libmozgtk.so existiert im Dateisystem
firefox: /usr/lib/firefox/libmozsandbox.so existiert im Dateisystem
firefox: /usr/lib/firefox/libxul.so existiert im Dateisystem
firefox: /usr/lib/firefox/minidump-analyzer existiert im Dateisystem
firefox: /usr/lib/firefox/omni.ja existiert im Dateisystem
firefox: /usr/lib/firefox/pingsender existiert im Dateisystem
firefox: /usr/lib/firefox/platform.ini existiert im Dateisystem
firefox: /usr/lib/firefox/plugin-container existiert im Dateisystem
firefox: /usr/lib/firefox/removed-files existiert im Dateisystem
firefox: /usr/share/applications/firefox.desktop existiert im Dateisystem
firefox: /usr/share/icons/hicolor/128x128/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/16x16/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/192x192/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/22x22/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/24x24/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/256x256/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/32x32/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/384x384/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/48x48/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/64x64/apps/firefox.png existiert im Dateisystem
firefox: /usr/share/icons/hicolor/symbolic/apps/firefox-symbolic.svg existiert im Dateisystem
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

System:    Host: manjaro64 Kernel: 4.19.0-1-MANJARO x86_64 bits: 64 Desktop: KDE Plasma 5.14.1 
           Distro: Manjaro Linux 
Machine:   Type: Desktop Mobo: MEDIONPC model: MS-7728 v: 2.0 serial: <filter> BIOS: American Megatrends 
           v: E7728MLN.208 date: 08/15/2011 
CPU:       Topology: Quad Core model: Intel Core i7-2600 bits: 64 type: MT MCP L2 cache: 8192 KiB 
           Speed: 1596 MHz min/max: 1600/3800 MHz Core speeds (MHz): 1: 1595 2: 1596 3: 1596 4: 1596 5: 1596 
           6: 1597 7: 1596 8: 1596 
Graphics:  Device-1: NVIDIA GF116 [GeForce GT 545] driver: nvidia v: 390.87 
           Display: x11 server: X.Org 1.20.2 driver: nvidia resolution: 1920x1080~60Hz 
           OpenGL: renderer: GeForce GT 545/PCIe/SSE2 v: 4.6.0 NVIDIA 390.87 
Audio:     Device-1: Intel 6 Series/C200 Series Family High Definition Audio driver: snd_hda_intel 
           Device-2: NVIDIA GF116 High Definition Audio driver: snd_hda_intel 
           Sound Server: ALSA v: k4.19.0-1-MANJARO 
Network:   Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet driver: r8168 
           IF: enp4s0 state: up speed: 1000 Mbps duplex: full mac: <filter> 
Drives:    Local Storage: total: 465.77 GiB used: 15.42 GiB (3.3%) 
           ID-1: /dev/sda vendor: Samsung model: SSD 850 EVO 250GB size: 232.89 GiB 
           ID-2: /dev/sdb vendor: Samsung model: SSD 850 EVO 250GB size: 232.89 GiB 
Partition: ID-1: / size: 220.44 GiB used: 15.42 GiB (7.0%) fs: ext4 dev: /dev/sda1 
           ID-2: swap-1 size: 8.80 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/sda2 
Sensors:   System Temperatures: cpu: 31.0 C mobo: N/A gpu: nvidia temp: 44 C 
           Fan Speeds (RPM): N/A gpu: nvidia fan: 26% 
Info:      Processes: 233 Uptime: 2h 36m Memory: 7.77 GiB used: 1.38 GiB (17.7%) Shell: bash inxi: 3.0.26 

please help me ...
regards
caho

Please read this:

then let me know what the cause is.

I read it, but I don´t understand it. What should I do?
I have an original firefox installation from manjaro stable repo and never changed it.

Sounds like a good time to learn.

Run

pacman -Qo /usr/bin/firefox

and tell me the output.

here is the output:

Fehler: Kein Paket besitzt /usr/bin/firefox

?!?

For some reason the pacman file database has lost the Firefox files. Run:

sudo pacman -S firefox --overwrite "*firefox*"

I did it:

Pakete (1) firefox-63.0-0

Gesamtgröße der installierten Pakete:  144,67 MiB

:: Installation fortsetzen? [J/n] j
(1/1) Prüfe Schlüssel im Schlüsselring                                                                                          [#############################################################################] 100%
(1/1) Überprüfe Paket-Integrität                                                                                                [#############################################################################] 100%
(1/1) Lade Paket-Dateien                                                                                                        [#############################################################################] 100%
(1/1) Prüfe auf Dateikonflikte                                                                                                  [#############################################################################] 100%
:: Verarbeite Paketänderungen...
(1/1) Installiere firefox                                                                                                       [#############################################################################] 100%
Optionale Abhängigkeiten für firefox
    networkmanager: Location detection via available WiFi networks [Installiert]
    libnotify: Notification integration [Installiert]
    pulseaudio: Audio support [Installiert]
    speech-dispatcher: Text-to-Speech [Installiert]
:: Starte post-transaction hooks...
(1/3) Updating icon theme caches...
(2/3) Arming ConditionNeedsUpdate...
(3/3) Updating the desktop file MIME type cache...

I started firefox in the konsole, but it doesn´t work.

here is the output:

(firefox:3508): Gtk-WARNING **: 22:33:02.257: Theme parsing error: <data>:1:34: Expected ')' in color definition

(firefox:3508): Gtk-WARNING **: 22:33:02.257: Theme parsing error: <data>:1:77: Expected ')' in color definition

regards
caho

Please change your gtk theme and try again.

I deleted gtk-theme-maia and installed manjarin-gtk-theme into oktopi.

No success, the same error as before.

This is a "warning" not an "error" so won't affect whether Firefox starts.

You have another issue.

Try logging out and back in first.

OK, I logged out and come in again.
Now the firefox - icon is visible in the taskbar.

But firefox is not running.
In the console are these messages:

(firefox:8775): Gtk-WARNING **: 22:56:03.483: Theme parsing error: <data>:1:34: Expected ')' in color definition

(firefox:8775): Gtk-WARNING **: 22:56:03.483: Theme parsing error: <data>:1:77: Expected ')' in color definition

As I said before, those messages are not useful.

Please read this thread and follow its instructions:

I did

Start in Safe Mode

From a terminal, run firefox -safe-mode . This will temporarily disable all extensions but leave your preferences intact. This means you can narrow down the issue to an extension.

If things work, disable all extensions and start Firefox normally, then re-enable the extensions one at a time until you find the one that has the issue.

here asks firefox for refresh itself. I did it and now firefox is working.

Thanks for your help
regard
caho

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by